<?php
$webconfig_resolutions = getCategoriesByParent($nsoResolutionCatId);
$webconfigResolutions = array();
foreach ( $webconfig_resolutions as $webconfig_resolution ) {
    $webconfigResolutions[$webconfig_resolution['id']] = array( 'name' => $webconfig_resolution['name']);
}


$webconfig_products = getCategoriesByParent($nsoProductCatId);
$webconfigProducts = array();
foreach ( $webconfig_products as $webconfig_product ) {
	$shortName = explode('（', $webconfig_product['name']);
	$shortName = $shortName[0];
    $webconfigProducts[$webconfig_product['id']] = array( 'name' => $webconfig_product['name'], 'short_name' => $shortName);
}

$webconfig_news = getCategoriesByParent($nsoNewsCatId);
$webconfigNews = array();
foreach ( $webconfig_news as $webconfig_new ) {
    $webconfigNews[$webconfig_new['id']] = array( 'name' => $webconfig_new['name']);
}

/**
$webconfig_services = getPostsByCategory(16);
$webconfigServices = array();
foreach ( $webconfig_services as $webconfig_service ) {
    $icon = getFileByPost($webconfig_service['post_id'], 'image');
    $webconfigServices[$webconfig_service['post_id']] = array(
        'name' => $webconfig_service['title'],
        'description' => $webconfig_service['subtitle'],
        'icon' => $icon['path']
    );
}
**/

$webconfig_abouts = getPostsByCategory($nsoAboutCatId);
$webconfigAbouts = array();
foreach ( $webconfig_abouts as $webconfig_about ) {
    $webconfigAbouts[$webconfig_about['post_id']] = array(
        'name' => $webconfig_about['title']
    );
}

$sql_settings = "SELECT * FROM settings";
$nsoSetting = $nsodb->get_row($sql_settings, ARRAY_A);

